Figma
No catalog description yet.
Authentication
| Method | Kind | Status | Details |
|---|---|---|---|
| OAuth 2.0 | oauth2 | available | — |
Call a tool
import { createClient } from "@open-connector/sdk";const oc = createClient({ baseUrl: "https://api.openconnector.dev", apiKey: process.env.OPEN_CONNECTOR_API_KEY!,});const result = await oc.executeTool({ slug: "FIGMA_DELETE_COMMENT", connectedAccountId: "conn_...", arguments: { /* match this tool's input schema */ },});import Composio from "@composio/client";const composio = new Composio({ baseURL: "https://api.openconnector.dev/composio", apiKey: process.env.OPEN_CONNECTOR_API_KEY!,});const result = await composio.tools.execute("FIGMA_DELETE_COMMENT", { connected_account_id: "conn_...", arguments: { /* match this tool's input schema */ },});oc tools execute FIGMA_DELETE_COMMENT --data '{ }'Tool catalog
Available tools
50 callable operations
Delete a commentFIGMA_DELETE_COMMENTDeletes a specific comment. Only the person who made the comment is allowed to delete it.Connection1 scope
Deletes a specific comment. Only the person who made the comment is allowed to delete it.
Authentication
Connected account requiredScopes
file_comments:writeTags
Delete a reactionFIGMA_DELETE_COMMENT_REACTIONDeletes a specific comment reaction. Only the person who made the reaction is allowed to delete it.Connection1 scope
Deletes a specific comment reaction. Only the person who made the reaction is allowed to delete it.
Authentication
Connected account requiredScopes
file_comments:writeTags
Delete dev resourceFIGMA_DELETE_DEV_RESOURCEDelete a dev resource from a fileConnection1 scope
Delete a dev resource from a file
Authentication
Connected account requiredScopes
file_dev_resources:writeTags
Delete a webhookFIGMA_DELETE_WEBHOOKDeletes the specified webhook. This operation cannot be reversed.Connection1 scope
Deletes the specified webhook. This operation cannot be reversed.
Authentication
Connected account requiredScopes
webhooks:writeTags
Get activity logsFIGMA_GET_ACTIVITY_LOGSReturns a list of activity log eventsConnection1 scope
Returns a list of activity log events
Authentication
Connected account requiredScopes
org:activity_log_readTags
Get daily AI credit usageFIGMA_GET_AI_USAGE_DAILYReturns per-user, per-day AI credit usage for the plan associated with the calling token. This endpoint requires a plan access token with the `org:ai_metering_usage_read` scope.Connection
Returns per-user, per-day AI credit usage for the plan associated with the calling token. This endpoint requires a plan access token with the `org:ai_metering_usage_read` scope.
Authentication
Connected account requiredTags
Get reactions for a commentFIGMA_GET_COMMENT_REACTIONSGets a paginated list of reactions left on the comment.Connection2 scopes
Gets a paginated list of reactions left on the comment.
Authentication
Connected account requiredScopes
file_comments:readfiles:readTags
Get comments in a fileFIGMA_GET_COMMENTSGets a list of comments left on the file.Connection2 scopes
Gets a list of comments left on the file.
Authentication
Connected account requiredScopes
file_comments:readfiles:readTags
Get componentFIGMA_GET_COMPONENTGet metadata on a component by key.Connection2 scopes
Get metadata on a component by key.
Authentication
Connected account requiredScopes
library_assets:readfiles:readTags
Get component setFIGMA_GET_COMPONENT_SETGet metadata on a published component set by key.Connection2 scopes
Get metadata on a published component set by key.
Authentication
Connected account requiredScopes
library_assets:readfiles:readTags
Get dev resourcesFIGMA_GET_DEV_RESOURCESGet dev resources in a fileConnection1 scope
Get dev resources in a file
Authentication
Connected account requiredScopes
file_dev_resources:readTags
Get developer logsFIGMA_GET_DEVELOPER_LOGSReturns a list of developer log entries for REST API and MCP server requests made within the organization. This endpoint requires a plan access token with the `org:developer_log_read` scope.Connection
Returns a list of developer log entries for REST API and MCP server requests made within the organization. This endpoint requires a plan access token with the `org:developer_log_read` scope.
Authentication
Connected account requiredTags
Get file JSONFIGMA_GET_FILEReturns the document identified by `file_key` as a JSON object. The file key can be parsed from any Figma file url: `https://www.figma.com/file/{file_key}/{title}`. The `document` property contains a node of type `DOCUMENT`. The `components` property contains a mapping from node IDs to component metadata. This is to help you determine which components each instance comes from.Connection2 scopes
Returns the document identified by `file_key` as a JSON object. The file key can be parsed from any Figma file url: `https://www.figma.com/file/{file_key}/{title}`. The `document` property contains a node of type `DOCUMENT`. The `components` property contains a mapping from node IDs to component metadata. This is to help you determine which components each instance comes from.
Authentication
Connected account requiredScopes
file_content:readfiles:readTags
Get file component setsFIGMA_GET_FILE_COMPONENT_SETSGet a list of published component sets within a file library.Connection2 scopes
Get a list of published component sets within a file library.
Authentication
Connected account requiredScopes
library_content:readfiles:readTags
Get file componentsFIGMA_GET_FILE_COMPONENTSGet a list of published components within a file library.Connection2 scopes
Get a list of published components within a file library.
Authentication
Connected account requiredScopes
library_content:readfiles:readTags
Get file metadataFIGMA_GET_FILE_METAGet file metadataConnection2 scopes
Get file metadata
Authentication
Connected account requiredScopes
file_metadata:readfiles:readTags
Get file JSON for specific nodesFIGMA_GET_FILE_NODESReturns the nodes referenced to by `ids` as a JSON object. The nodes are retrieved from the Figma file referenced to by `file_key`. The node ID and file key can be parsed from any Figma node url: `https://www.figma.com/file/{file_key}/{title}?node-id={id}` The `name`, `lastModified`, `thumbnailUrl`, `editorType`, and `version` attributes are all metadata of the specified file. The `linkAccess` field describes the file link share permission level. There are 5 types of permissions a shared link can have: `"inherit"`, `"view"`, `"edit"`, `"org_view"`, and `"org_edit"`. `"inherit"` is the default permission applied to files created in a team project, and will inherit the project's permissions. `"org_view"` and `"org_edit"` restrict the link to org users. The `document` attribute contains a Node of type `DOCUMENT`. The `components` key contains a mapping from node IDs to component metadata. This is to help you determine which components each instance comes from. By default, no vector data is returned. To return vector data, pass the geometry=paths parameter to the endpoint. Each node can also inherit properties from applicable styles. The styles key contains a mapping from style IDs to style metadata. Important: the nodes map may contain values that are `null`. This may be due to the node id not existing within the specified file.Connection2 scopes
Returns the nodes referenced to by `ids` as a JSON object. The nodes are retrieved from the Figma file referenced to by `file_key`. The node ID and file key can be parsed from any Figma node url: `https://www.figma.com/file/{file_key}/{title}?node-id={id}` The `name`, `lastModified`, `thumbnailUrl`, `editorType`, and `version` attributes are all metadata of the specified file. The `linkAccess` field describes the file link share permission level. There are 5 types of permissions a shared link can have: `"inherit"`, `"view"`, `"edit"`, `"org_view"`, and `"org_edit"`. `"inherit"` is the default permission applied to files created in a team project, and will inherit the project's permissions. `"org_view"` and `"org_edit"` restrict the link to org users. The `document` attribute contains a Node of type `DOCUMENT`. The `components` key contains a mapping from node IDs to component metadata. This is to help you determine which components each instance comes from. By default, no vector data is returned. To return vector data, pass the geometry=paths parameter to the endpoint. Each node can also inherit properties from applicable styles. The styles key contains a mapping from style IDs to style metadata. Important: the nodes map may contain values that are `null`. This may be due to the node id not existing within the specified file.
Authentication
Connected account requiredScopes
file_content:readfiles:readTags
Get file stylesFIGMA_GET_FILE_STYLESGet a list of published styles within a file library.Connection2 scopes
Get a list of published styles within a file library.
Authentication
Connected account requiredScopes
library_content:readfiles:readTags
Get versions of a fileFIGMA_GET_FILE_VERSIONSThis endpoint fetches the version history of a file, allowing you to see the progression of a file over time. You can then use this information to render a specific version of the file, via another endpoint.Connection2 scopes
This endpoint fetches the version history of a file, allowing you to see the progression of a file over time. You can then use this information to render a specific version of the file, via another endpoint.
Authentication
Connected account requiredScopes
file_versions:readfiles:readTags
Get image fillsFIGMA_GET_IMAGE_FILLSReturns download links for all images present in image fills in a document. Image fills are how Figma represents any user supplied images. When you drag an image into Figma, we create a rectangle with a single fill that represents the image, and the user is able to transform the rectangle (and properties on the fill) as they wish. This endpoint returns a mapping from image references to the URLs at which the images may be download. Image URLs will expire after no more than 14 days. Image references are located in the output of the GET files endpoint under the `imageRef` attribute in a `Paint`.Connection2 scopes
Returns download links for all images present in image fills in a document. Image fills are how Figma represents any user supplied images. When you drag an image into Figma, we create a rectangle with a single fill that represents the image, and the user is able to transform the rectangle (and properties on the fill) as they wish. This endpoint returns a mapping from image references to the URLs at which the images may be download. Image URLs will expire after no more than 14 days. Image references are located in the output of the GET files endpoint under the `imageRef` attribute in a `Paint`.
Authentication
Connected account requiredScopes
file_content:readfiles:readTags
Render images of file nodesFIGMA_GET_IMAGESRenders images from a file. If no error occurs, `"images"` will be populated with a map from node IDs to URLs of the rendered images, and `"status"` will be omitted. The image assets will expire after 30 days. Images up to 32 megapixels can be exported. Any images that are larger will be scaled down. Important: the image map may contain values that are `null`. This indicates that rendering of that specific node has failed. This may be due to the node id not existing, or other reasons such has the node having no renderable components. It is guaranteed that any node that was requested for rendering will be represented in this map whether or not the render succeeded. To render multiple images from the same file, use the `ids` query parameter to specify multiple node ids. ``` GET /v1/images/:key?ids=1:2,1:3,1:4 ```Connection2 scopes
Renders images from a file. If no error occurs, `"images"` will be populated with a map from node IDs to URLs of the rendered images, and `"status"` will be omitted. The image assets will expire after 30 days. Images up to 32 megapixels can be exported. Any images that are larger will be scaled down. Important: the image map may contain values that are `null`. This indicates that rendering of that specific node has failed. This may be due to the node id not existing, or other reasons such has the node having no renderable components. It is guaranteed that any node that was requested for rendering will be represented in this map whether or not the render succeeded. To render multiple images from the same file, use the `ids` query parameter to specify multiple node ids. ``` GET /v1/images/:key?ids=1:2,1:3,1:4 ```
Authentication
Connected account requiredScopes
file_content:readfiles:readTags
Get library analytics component action data.FIGMA_GET_LIBRARY_ANALYTICS_COMPONENT_ACTIONSReturns a list of library analytics component actions data broken down by the requested dimension.Connection1 scope
Returns a list of library analytics component actions data broken down by the requested dimension.
Authentication
Connected account requiredScopes
library_analytics:readTags
Get library analytics component usage data.FIGMA_GET_LIBRARY_ANALYTICS_COMPONENT_USAGESReturns a list of library analytics component usage data broken down by the requested dimension.Connection1 scope
Returns a list of library analytics component usage data broken down by the requested dimension.
Authentication
Connected account requiredScopes
library_analytics:readTags
Get library analytics style action data.FIGMA_GET_LIBRARY_ANALYTICS_STYLE_ACTIONSReturns a list of library analytics style actions data broken down by the requested dimension.Connection1 scope
Returns a list of library analytics style actions data broken down by the requested dimension.
Authentication
Connected account requiredScopes
library_analytics:readTags
Get library analytics style usage data.FIGMA_GET_LIBRARY_ANALYTICS_STYLE_USAGESReturns a list of library analytics style usage data broken down by the requested dimension.Connection1 scope
Returns a list of library analytics style usage data broken down by the requested dimension.
Authentication
Connected account requiredScopes
library_analytics:readTags
Get library analytics variable action data.FIGMA_GET_LIBRARY_ANALYTICS_VARIABLE_ACTIONSReturns a list of library analytics variable actions data broken down by the requested dimension.Connection1 scope
Returns a list of library analytics variable actions data broken down by the requested dimension.
Authentication
Connected account requiredScopes
library_analytics:readTags
Get library analytics variable usage data.FIGMA_GET_LIBRARY_ANALYTICS_VARIABLE_USAGESReturns a list of library analytics variable usage data broken down by the requested dimension.Connection1 scope
Returns a list of library analytics variable usage data broken down by the requested dimension.
Authentication
Connected account requiredScopes
library_analytics:readTags
Get local variablesFIGMA_GET_LOCAL_VARIABLES**This API is available to full members of Enterprise orgs.** The `GET /v1/files/:file_key/variables/local` endpoint lets you enumerate local variables created in the file and remote variables used in the file. Remote variables are referenced by their `subscribed_id`. As a part of the Variables related API additions, the `GET /v1/files/:file_key` endpoint now returns a `boundVariables` property, containing the `variableId` of the bound variable. The `GET /v1/files/:file_key/variables/local` endpoint can be used to get the full variable or variable collection object. Note that `GET /v1/files/:file_key/variables/published` does not return modes. Instead, you will need to use the `GET /v1/files/:file_key/variables/local` endpoint, in the same file, to examine the mode values.Connection1 scope
**This API is available to full members of Enterprise orgs.** The `GET /v1/files/:file_key/variables/local` endpoint lets you enumerate local variables created in the file and remote variables used in the file. Remote variables are referenced by their `subscribed_id`. As a part of the Variables related API additions, the `GET /v1/files/:file_key` endpoint now returns a `boundVariables` property, containing the `variableId` of the bound variable. The `GET /v1/files/:file_key/variables/local` endpoint can be used to get the full variable or variable collection object. Note that `GET /v1/files/:file_key/variables/published` does not return modes. Instead, you will need to use the `GET /v1/files/:file_key/variables/local` endpoint, in the same file, to examine the mode values.
Authentication
Connected account requiredScopes
file_variables:readTags
Get current userFIGMA_GET_MEReturns the user information for the currently authenticated user.Connection2 scopes
Returns the user information for the currently authenticated user.
Authentication
Connected account requiredScopes
current_user:readfiles:readTags
Get oEmbed dataFIGMA_GET_OEMBEDReturns oEmbed data for a Figma file or published Make site URL, following the [oEmbed specification](https://oembed.com/).Connection1 scope
Returns oEmbed data for a Figma file or published Make site URL, following the [oEmbed specification](https://oembed.com/).
Authentication
Connected account requiredScopes
file_metadata:readTags
Get paymentsFIGMA_GET_PAYMENTSThere are two methods to query for a user's payment information on a plugin, widget, or Community file. The first method, using plugin payment tokens, is typically used when making queries from a plugin's or widget's code. The second method, providing a user ID and resource ID, is typically used when making queries from anywhere else. Note that you can only query for resources that you own. In most cases, this means that you can only query resources that you originally created.Connection
There are two methods to query for a user's payment information on a plugin, widget, or Community file. The first method, using plugin payment tokens, is typically used when making queries from a plugin's or widget's code. The second method, providing a user ID and resource ID, is typically used when making queries from anywhere else. Note that you can only query for resources that you own. In most cases, this means that you can only query resources that you originally created.
Authentication
Connected account requiredTags
Get files in a projectFIGMA_GET_PROJECT_FILESGet a list of all the Files within the specified project.Connection2 scopes
Get a list of all the Files within the specified project.
Authentication
Connected account requiredScopes
projects:readfiles:readTags
Get project metadataFIGMA_GET_PROJECT_METAGet project metadataConnection1 scope
Get project metadata
Authentication
Connected account requiredScopes
project_metadata:readTags
Get published variablesFIGMA_GET_PUBLISHED_VARIABLES**This API is available to full members of Enterprise orgs.** The `GET /v1/files/:file_key/variables/published` endpoint returns the variables that are published from the given file. The response for this endpoint contains some key differences compared to the `GET /v1/files/:file_key/variables/local` endpoint: - Each variable and variable collection contains a `subscribed_id`. - Modes are omitted for published variable collections Published variables have two ids: an id that is assigned in the file where it is created (`id`), and an id that is used by subscribing files (`subscribed_id`). The `id` and `key` are stable over the lifetime of the variable. The `subscribed_id` changes every time the variable is modified and published. The same is true for variable collections. The `updatedAt` fields are ISO 8601 timestamps that indicate the last time that a change to a variable was published. For variable collections, this timestamp will change any time a variable in the collection is changed.Connection1 scope
**This API is available to full members of Enterprise orgs.** The `GET /v1/files/:file_key/variables/published` endpoint returns the variables that are published from the given file. The response for this endpoint contains some key differences compared to the `GET /v1/files/:file_key/variables/local` endpoint: - Each variable and variable collection contains a `subscribed_id`. - Modes are omitted for published variable collections Published variables have two ids: an id that is assigned in the file where it is created (`id`), and an id that is used by subscribing files (`subscribed_id`). The `id` and `key` are stable over the lifetime of the variable. The `subscribed_id` changes every time the variable is modified and published. The same is true for variable collections. The `updatedAt` fields are ISO 8601 timestamps that indicate the last time that a change to a variable was published. For variable collections, this timestamp will change any time a variable in the collection is changed.
Authentication
Connected account requiredScopes
file_variables:readTags
Get styleFIGMA_GET_STYLEGet metadata on a style by key.Connection2 scopes
Get metadata on a style by key.
Authentication
Connected account requiredScopes
library_assets:readfiles:readTags
Get team component setsFIGMA_GET_TEAM_COMPONENT_SETSGet a paginated list of published component sets within a team library.Connection2 scopes
Get a paginated list of published component sets within a team library.
Authentication
Connected account requiredScopes
team_library_content:readfiles:readTags
Get team componentsFIGMA_GET_TEAM_COMPONENTSGet a paginated list of published components within a team library.Connection2 scopes
Get a paginated list of published components within a team library.
Authentication
Connected account requiredScopes
team_library_content:readfiles:readTags
Get projects in a teamFIGMA_GET_TEAM_PROJECTSYou can use this endpoint to get a list of all the Projects within the specified team. This will only return projects visible to the authenticated user or owner of the developer token. Note: it is not currently possible to programmatically obtain the team id of a user just from a token. To obtain a team id, navigate to a team page of a team you are a part of. The team id will be present in the URL after the word team and before your team name.Connection2 scopes
You can use this endpoint to get a list of all the Projects within the specified team. This will only return projects visible to the authenticated user or owner of the developer token. Note: it is not currently possible to programmatically obtain the team id of a user just from a token. To obtain a team id, navigate to a team page of a team you are a part of. The team id will be present in the URL after the word team and before your team name.
Authentication
Connected account requiredScopes
projects:readfiles:readTags
Get team stylesFIGMA_GET_TEAM_STYLESGet a paginated list of published styles within a team library.Connection2 scopes
Get a paginated list of published styles within a team library.
Authentication
Connected account requiredScopes
team_library_content:readfiles:readTags
[Deprecated] Get team webhooksFIGMA_GET_TEAM_WEBHOOKSReturns all webhooks registered under the specified team.Connection2 scopes
Returns all webhooks registered under the specified team.
Authentication
Connected account requiredScopes
webhooks:readfiles:readTags
Get a webhookFIGMA_GET_WEBHOOKGet a webhook by ID.Connection2 scopes
Get a webhook by ID.
Authentication
Connected account requiredScopes
webhooks:readfiles:readTags
Get webhook requestsFIGMA_GET_WEBHOOK_REQUESTSReturns all webhook requests sent within the last week. Useful for debugging.Connection2 scopes
Returns all webhook requests sent within the last week. Useful for debugging.
Authentication
Connected account requiredScopes
webhooks:readfiles:readTags
Get webhooks by context or planFIGMA_GET_WEBHOOKSReturns a list of webhooks corresponding to the context or plan provided, if they exist. For plan, the webhooks for all contexts that you have access to will be returned, and theresponse is paginatedConnection1 scope
Returns a list of webhooks corresponding to the context or plan provided, if they exist. For plan, the webhooks for all contexts that you have access to will be returned, and theresponse is paginated
Authentication
Connected account requiredScopes
webhooks:readTags
Add a comment to a fileFIGMA_POST_COMMENTPosts a new comment on the file.Connection1 scope
Posts a new comment on the file.
Authentication
Connected account requiredScopes
file_comments:writeTags
Add a reaction to a commentFIGMA_POST_COMMENT_REACTIONPosts a new comment reaction on a file comment.Connection1 scope
Posts a new comment reaction on a file comment.
Authentication
Connected account requiredScopes
file_comments:writeTags
Create dev resourcesFIGMA_POST_DEV_RESOURCESBulk create dev resources across multiple files. Dev resources that are successfully created will show up in the links_created array in the response. If there are any dev resources that cannot be created, you may still get a 200 response. These resources will show up in the errors array. Some reasons a dev resource cannot be created include: - Resource points to a `file_key` that cannot be found. - The node already has the maximum of 10 dev resources. - Another dev resource for the node has the same url.Connection1 scope
Bulk create dev resources across multiple files. Dev resources that are successfully created will show up in the links_created array in the response. If there are any dev resources that cannot be created, you may still get a 200 response. These resources will show up in the errors array. Some reasons a dev resource cannot be created include: - Resource points to a `file_key` that cannot be found. - The node already has the maximum of 10 dev resources. - Another dev resource for the node has the same url.
Authentication
Connected account requiredScopes
file_dev_resources:writeTags
Create/modify/delete variablesFIGMA_POST_VARIABLES**This API is available to full members of Enterprise orgs with Editor seats.** The `POST /v1/files/:file_key/variables` endpoint lets you bulk create, update, and delete variables and variable collections. The request body supports the following 4 top-level arrays. Changes from these arrays will be applied in the below order, and within each array, by array order. - **variableCollections**: For creating, updating, and deleting variable collections - **variableModes**: For creating, updating, and deleting modes within variable collections - Each collection can have a maximum of 40 modes - Mode names cannot be longer than 40 characters - **variables**: For creating, updating, and deleting variables - Each collection can have a maximum of 5000 variables - Variable names must be unique within a collection and cannot contain certain special characters such as `.{}` - **variableModeValues**: For setting a variable value under a specific mode. - When setting aliases, a variable cannot be aliased to itself or form an alias cycle Temporary ids can be used to reference an object later in the same POST request body. They can be used at create time in the `id` property of variable collections, modes, variables, and in the `initialModeId` property of variable collections. They are scoped to a single request body, and must be unique within the body. The mapping of temporary ids to real ids is returned in the response. This endpoint has the following key behaviors: - The request body must be 4MB or less. - Must include an `action` property for collections, modes, and variables to tell the API whether to create, update, or delete the object. - When creating a collection, mode, or variable, you can include a temporary `id` that can be referenced in dependent objects in the same request. For example, you can create a new collection with the id `"my_new_collection"`. You can then set `variableCollectionId` to `"my_new_collection"` in new modes or variables. Temporary ids must be unique in the request body. - New collections always come with one mode. You can reference this mode by setting `initialModeId` to a temporary id in the request body. This is useful if you want to set values for variables in the mode in the `variableModeValues` array. - The `tempIdToRealId` array returns a mapping of the temporary ids in the request, to the real ids of the newly created objects. - When adding new modes or variables, default variable values will be applied, consistent with what happens in the UI. - Everything to be created, updated, and deleted in the request body is treated as one atomic operation. If there is any validation failure, you will get a 400 status code response, and no changes will be persisted. - You will not be able to update remote variables or variable collections. You can only update variables in the file where they were originally created.Connection1 scope
**This API is available to full members of Enterprise orgs with Editor seats.** The `POST /v1/files/:file_key/variables` endpoint lets you bulk create, update, and delete variables and variable collections. The request body supports the following 4 top-level arrays. Changes from these arrays will be applied in the below order, and within each array, by array order. - **variableCollections**: For creating, updating, and deleting variable collections - **variableModes**: For creating, updating, and deleting modes within variable collections - Each collection can have a maximum of 40 modes - Mode names cannot be longer than 40 characters - **variables**: For creating, updating, and deleting variables - Each collection can have a maximum of 5000 variables - Variable names must be unique within a collection and cannot contain certain special characters such as `.{}` - **variableModeValues**: For setting a variable value under a specific mode. - When setting aliases, a variable cannot be aliased to itself or form an alias cycle Temporary ids can be used to reference an object later in the same POST request body. They can be used at create time in the `id` property of variable collections, modes, variables, and in the `initialModeId` property of variable collections. They are scoped to a single request body, and must be unique within the body. The mapping of temporary ids to real ids is returned in the response. This endpoint has the following key behaviors: - The request body must be 4MB or less. - Must include an `action` property for collections, modes, and variables to tell the API whether to create, update, or delete the object. - When creating a collection, mode, or variable, you can include a temporary `id` that can be referenced in dependent objects in the same request. For example, you can create a new collection with the id `"my_new_collection"`. You can then set `variableCollectionId` to `"my_new_collection"` in new modes or variables. Temporary ids must be unique in the request body. - New collections always come with one mode. You can reference this mode by setting `initialModeId` to a temporary id in the request body. This is useful if you want to set values for variables in the mode in the `variableModeValues` array. - The `tempIdToRealId` array returns a mapping of the temporary ids in the request, to the real ids of the newly created objects. - When adding new modes or variables, default variable values will be applied, consistent with what happens in the UI. - Everything to be created, updated, and deleted in the request body is treated as one atomic operation. If there is any validation failure, you will get a 400 status code response, and no changes will be persisted. - You will not be able to update remote variables or variable collections. You can only update variables in the file where they were originally created.
Authentication
Connected account requiredScopes
file_variables:writeTags
Create a webhookFIGMA_POST_WEBHOOKCreate a new webhook which will call the specified endpoint when the event triggers. By default, this webhook will automatically send a PING event to the endpoint when it is created. If this behavior is not desired, you can create the webhook and set the status to PAUSED and reactivate it later.Connection1 scope
Create a new webhook which will call the specified endpoint when the event triggers. By default, this webhook will automatically send a PING event to the endpoint when it is created. If this behavior is not desired, you can create the webhook and set the status to PAUSED and reactivate it later.
Authentication
Connected account requiredScopes
webhooks:writeTags
Update dev resourcesFIGMA_PUT_DEV_RESOURCESBulk update dev resources across multiple files. Ids for dev resources that are successfully updated will show up in the `links_updated` array in the response. If there are any dev resources that cannot be updated, you may still get a 200 response. These resources will show up in the `errors` array.Connection1 scope
Bulk update dev resources across multiple files. Ids for dev resources that are successfully updated will show up in the `links_updated` array in the response. If there are any dev resources that cannot be updated, you may still get a 200 response. These resources will show up in the `errors` array.
Authentication
Connected account requiredScopes
file_dev_resources:writeTags
Update a webhookFIGMA_PUT_WEBHOOKUpdate a webhook by ID.Connection1 scope
Update a webhook by ID.
Authentication
Connected account requiredScopes
webhooks:writeTags